Subject: Re: Linking two remote repositories

From: Jens Lehmann <[email-masked]>
Date: Fri, 12 Mar 2010 17:10:07 +0100

Am 12.03.2010 15:09, schrieb Pavel:
> Hi All,
> I'm just investigating of using git for following:
> We have two development teams in far direction from each other and very slow
> network connection between them. Currently they are using one Subversion
> repository on one side, but committing from other side is very-very slow. 
> 
> The idea is to setup two git repositories in two locations and developers will
> commit in there local repository. But what I can't figure out it's how to
> connect those repositories between each other, I do not want to have two
> "special" people to push between remote repositories. 
> Is there any ideas how to connect two repositories and have actual code versions
> on both of them ?

Having a similar setup at my dayjob, I think it should be sufficient to
have only one git server (maybe at the location where your svn-server is
now). As git keeps a local copy of the whole repo operations like commit,
diff and merge are fast and independent of network speed. Only clone, fetch
and push go over the slow network connection, but for us this is fast
enough (and a lot faster than our old RCS based VCS, which was basically
unusable for this scenario).